<?php
// Conexión a la base de datos
include("conexion.php");
session_start();

// Obtener datos del usuario
$id_usuario = $_SESSION['id_usuario'];
$usuario = $conexion->query("SELECT * FROM usuarios_sistema WHERE id_usuario = $id_usuario")->fetch_assoc();
$id_empresa_usuario = $usuario['id_empresa'];

// Obtener el término de búsqueda
$search = isset($_GET['search']) ? $_GET['search'] : '';
$searchTerm = "%$search%";

// Consulta sin paginación, pero ahora con la lógica adicional para el nombre completo del usuario
$query = "
    SELECT 
        sb.*, 
        u.nombres, u.apellido_paterno, u.apellido_materno,
        CONCAT(u.nombres, ' ', u.apellido_paterno, ' ', u.apellido_materno) AS nombre_completo
    FROM 
        series_baja sb
    LEFT JOIN 
        usuarios u ON sb.id_usuario = u.id
    WHERE 
        sb.id_empresa = ? 
    AND 
        (sb.serie_baja LIKE ? OR sb.serie LIKE ?)
    ORDER BY 
        sb.fecha DESC
";

$stmt = $conexion->prepare($query);
$stmt->bind_param("sss", $id_empresa_usuario, $searchTerm, $searchTerm);
$stmt->execute();
$result = $stmt->get_result();

// Crear array con los datos
$series_baja = [];
while ($row = $result->fetch_assoc()) {
    $series_baja[] = $row;
}

// Responder en JSON
echo json_encode([
    'series_baja' => $series_baja
]);
?>
